RHEL 2.1 : ncpfs (RHSA-2005:371)

This script is Copyright (C) 2005-2014 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing one or more security updates.

Description :

An updated ncpfs package is now available.

This update has been rated as having moderate security impact by the
Red Hat Security Response Team.

Ncpfs is a file system that understands the Novell NetWare(TM) NCP
protocol.

A bug was found in the way ncpfs handled file permissions. ncpfs did
not sufficiently check if the file owner matched the user attempting
to access the file, potentially violating the file permissions. The
Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the name CVE-2005-0013 to this issue.

All users of ncpfs are advised to upgrade to this updated package,
which contains backported fixes for this issue.

See also :

https://www.redhat.com/security/data/cve/CVE-2005-0013.html
http://rhn.redhat.com/errata/RHSA-2005-371.html

Solution :

Update the affected ipxutils and / or ncpfs packages.

Risk factor :

High / CVSS Base Score : 7.2
(CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C)

Family: Red Hat Local Security Checks

Nessus Plugin ID: 18278 ()

Bugtraq ID:

CVE ID: CVE-2005-0013